GET
/
v1
/
organizations
/
{organizationId}
/
provider-gateway
/
sessions
/
{sessionId}
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.providerGateway.getProviderSocketStatus({
  organizationId: process.env.OCTOSPARK_ORGANIZATION_ID ?? "organizationId",
  sessionId: process.env.OCTOSPARK_SESSION_ID ?? "sessionId",
})
{
  "sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expiresAt": "<string>",
  "requestBytes": 123,
  "responseBytes": 123,
  "chargeDecimillicents": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Organization id (UUID). Discover ids via the list organizations endpoint or the agent context.

sessionId
string<uuid>
required

Socket session UUID returned when opening a provider WebSocket session.

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

Response

Success

sessionId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
status
enum<string>
required
Available options:
reserved,
queued,
preparing,
dispatched,
completed,
uncertain,
failed,
billing_hold
expiresAt
string
required
requestBytes
number
required
responseBytes
number
required
chargeDecimillicents
number
required